<?xml version="1.0" encoding="UTF-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/body"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/keypad_gray4"
    android:cacheColorHint="#00000000" >

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_margin="2sp"
        android:background="@drawable/keypad_ncolor" >

        <LinearLayout
            android:id="@+id/layout_top"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_margin="2sp"
            android:orientation="vertical" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="horizontal" >

                <Button
                    android:id="@+id/btn_cmd"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_margin="1sp"
                    android:layout_weight="0.7"
                    android:background="@drawable/keypad_blue2"
                    android:text="盤進(+)"
                    android:textSize="22sp" />

                <TextView
                    android:id="@+id/pndn_title"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="2sp"
                    android:layout_weight="0.3"
                    android:background="@drawable/keypad_count2"
                    android:gravity="center|top"
                    android:text="請選擇盤點對象"
                    android:textColor="#000000"
                    android:textSize="22sp" />

                <Button
                    android:id="@+id/btn_pdd"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:layout_margin="1sp"
                    android:layout_weight="0.7"
                    android:background="@drawable/keypad_blue2"
                    android:text="A區"
                    android:textSize="22sp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="horizontal" >
            <TextView
                android:id="@+id/pndn_end"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_margin="2sp"
                android:background="@drawable/keypad_count2"
                android:gravity="center|top"
                android:text="暫盤:002件 差:002件 已盤:003件 應存:007件"
                android:textColor="#000000"
                android:textSize="16sp" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/line_input"
            android:layout_width="fill_parent"
            android:layout_height="60sp"
            android:layout_below="@+id/layout_top"
            android:layout_marginLeft="2sp"
            android:layout_marginRight="2sp"
            android:layout_marginTop="2sp"
            android:cacheColorHint="#00000000"
            android:focusable="true"
            android:focusableInTouchMode="false"
            android:orientation="horizontal" >

            <ImageButton
                android:id="@+id/pbtn_input"
                android:layout_width="70dp"
                android:layout_height="fill_parent"
                android:layout_marginLeft="1sp"
                android:layout_marginRight="1sp"
                android:layout_marginTop="0sp"
                android:background="@drawable/keypad_orange"
                android:scaleType="fitXY"
                android:src="@drawable/widget_search" />

            <EditText
                android:id="@+id/pedIn"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_marginLeft="1sp"
                android:layout_marginRight="2sp"
                android:layout_marginTop="0sp"
                android:layout_weight="0.98"
                android:background="@drawable/keypad_orange"
                android:inputType="textEmailAddress"
                android:textSize="32sp" >
            </EditText>
        </LinearLayout>

        <ScrollView
            android:id="@+id/layout_bbtop"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_above="@+id/layout_bottom"
            android:layout_below="@+id/line_input" >


            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="vertical" >
                
                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="150sp"
                    android:orientation="horizontal"
                />
                
                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal" >
                    
                    <LinearLayout
                        android:id="@+id/layout_deptpndn"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/img_index_btn"
                        android:orientation="vertical" >

                        <ImageView
                            android:layout_width="80sp"
                            android:layout_height="80sp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="10sp"
                            android:layout_marginRight="10sp"
                            android:layout_marginTop="5sp"
                            android:src="@drawable/pndn01" />

                        <TextView
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="5sp"
                            android:gravity="center|top"
                            android:text="門市盤點"
                            android:textColor="#ffffff"
                            android:textSize="16sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layout_aapndn"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="5sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/img_index_btn"
                        android:orientation="vertical" >

                        <ImageView
                            android:layout_width="80sp"
                            android:layout_height="80sp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="10sp"
                            android:layout_marginRight="10sp"
                            android:layout_marginTop="5sp"
                            android:src="@drawable/pndn02" />

                        <TextView
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="5sp"
                            android:gravity="center|top"
                            android:text="總倉盤點"
                            android:textColor="#ffffff"
                            android:textSize="16sp" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:orientation="horizontal" >

                    <LinearLayout
                        android:id="@+id/layout_factpndn"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginLeft="5sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/img_index_btn"
                        android:orientation="vertical" >

                        <ImageView
                            android:layout_width="80sp"
                            android:layout_height="80sp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="10sp"
                            android:layout_marginRight="10sp"
                            android:layout_marginTop="5sp"
                            android:src="@drawable/pndn03" />

                        <TextView
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:gravity="center|top"
                            android:text="廠商盤點"
                            android:textColor="#ffffff"
                            android:textSize="16sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layout_exitpndn"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_marginRight="5sp"
                        android:layout_weight="1.0"
                        android:background="@drawable/img_index_btn"
                        android:orientation="vertical" >

                        <ImageView
                            android:layout_width="80sp"
                            android:layout_height="80sp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="10sp"
                            android:layout_marginRight="10sp"
                            android:layout_marginTop="5sp"
                            android:src="@drawable/exits" />

                        <TextView
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="5sp"
                            android:gravity="center|top"
                            android:text="離開"
                            android:textColor="#ffffff"
                            android:textSize="16sp" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </ScrollView>

        <ScrollView
            android:id="@+id/layout_cctop"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_above="@+id/layout_bottom"
            android:layout_below="@+id/line_input"
            android:visibility="gone" >

            <LinearLayout
                android:id="@+id/linearLayout1"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical" >

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="1dp"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_pndnno"
                        android:layout_width="wrap_content"
                        android:layout_height="50dp"
                        android:layout_weight="0.17"
                        android:text="編號"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_pndnname"
                        android:layout_width="wrap_content"
                        android:layout_height="50dp"
                        android:layout_weight="0.53"
                        android:text="簡稱"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_ldate"
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_margin="1dp"
                    android:orientation="horizontal" >

                    <ImageButton
                        android:id="@+id/imageButton1"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="20dp"
                        android:src="@drawable/dates" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="3dp"
                        android:text="上盤日期:"
                        android:textColor="#ffffff"
                        android:textSize="20sp" />

                    <Button
                        android:id="@+id/btn_lpndn"
                        android:layout_width="wrap_content"
                        android:layout_height="45dp"
                        android:layout_weight="0.10"
                        android:text="20120314"
                        android:textColor="#000000"
                        android:textSize="16sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/layout_ddate"
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_margin="1dp"
                    android:orientation="horizontal" >

                    <ImageButton
                        android:id="@+id/imageButton2"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="20dp"
                        android:src="@drawable/dates" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="3dp"
                        android:text="本盤日期:"
                        android:textColor="#ffffff"
                        android:textSize="20sp" />

                    <Button
                        android:id="@+id/btn_dpndn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.18"
                        android:text="20130331"
                        android:textColor="#000000"
                        android:textSize="16sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_margin="1dp"
                    android:orientation="horizontal" >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="價別:"
                        android:textColor="#ffffff"
                        android:textSize="18sp" />

                    <Spinner
                        android:id="@+id/spinner_pri"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.04" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="20dp"
                        android:text="折數:"
                        android:textColor="#ffffff"
                        android:textSize="16sp" />

                    <Button
                        android:id="@+id/btn_disc"
                        android:layout_width="wrap_content"
                        android:layout_height="45dp"
                        android:layout_weight="0.05"
                        android:text="100"
                        android:textColor="#000000"
                        android:textSize="16sp" />
                </LinearLayout>

                <RadioGroup
                    android:id="@+id/GroupP"
                    android:layout_width="wrap_content"
                    android:layout_height="45dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginLeft="20dp"
                    android:layout_marginTop="0dp"
                    android:orientation="horizontal" >

                    <RadioButton
                        android:id="@+id/radioP0"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:checked="true"
                        android:text="0.詳式"
                        android:textColor="#ffffff"
                        android:textSize="18sp" />

                    <RadioButton
                        android:id="@+id/radioP1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="1.簡式"
                        android:textColor="#ffffff"
                        android:textSize="18sp" />

                    <RadioButton
                        android:id="@+id/radioP2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="2.盤價"
                        android:textColor="#ffffff"
                        android:textSize="18sp" />
                </RadioGroup>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="10dp"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_lstkt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="上存"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_lstkn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.03"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_lstkm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.07"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="10dp"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_ain"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="本進"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_ainn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.03"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_ainm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.07"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/lay_ad"
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="10dp"
                    android:orientation="horizontal"
                    android:visibility="gone" >

                    <Button
                        android:id="@+id/btn_aad"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="本出"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_aadn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.03"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_aadm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.07"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="10dp"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_ast"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="本銷"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_astn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.03"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_astm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.07"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="fill_parent"
                    android:layout_height="45dp"
                    android:layout_marginLeft="10dp"
                    android:orientation="horizontal" >

                    <Button
                        android:id="@+id/btn_astk"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="本存"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_astkn"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.03"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />

                    <Button
                        android:id="@+id/btn_astkm"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.07"
                        android:text="0"
                        android:textColor="#000000"
                        android:textSize="18sp" />
                </LinearLayout>
            </LinearLayout>
        </ScrollView>

        <ListView
            android:id="@+id/list_pditem"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_above="@+id/tableview"
            android:layout_below="@+id/line_input"
            android:layout_marginBottom="3sp"
            android:layout_marginLeft="5sp"
            android:layout_marginRight="5sp"
            android:background="#00000000"
            android:cacheColorHint="#00000000"
            android:divider="#00000000"
            android:dividerHeight="2px"
            android:fastScrollEnabled="true"
            android:visibility="gone" >
        </ListView>

        <LinearLayout
            android:id="@+id/tableview"
            android:layout_width="fill_parent"
            android:layout_height="180dp"
            android:layout_above="@+id/layout_bottom"
            android:layout_margin="3sp"
            android:layout_weight="1.0"
            android:gravity="bottom" >

            <HorizontalScrollView
                android:id="@+id/HorizontalScrollView01"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="5sp" >

                <ScrollView
                    android:id="@+id/ScrollView01"
                    android:layout_width="wrap_content"
                    android:layout_height="fill_parent" >

                    <LinearLayout
                        android:id="@+id/root"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical" >
                    </LinearLayout>
                </ScrollView>
            </HorizontalScrollView>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_bottom"
            android:layout_width="fill_parent"
            android:layout_height="36sp"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="4sp"
            android:layout_marginLeft="4sp"
            android:layout_marginRight="4sp" >

            <Button
                android:id="@+id/btn_add"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="新增盤表"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_save"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="匯入盤表"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_reset"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="匯出盤表"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_savein"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_blue2"
                android:text="過帳盤表"
                android:textSize="14sp" />

            <Button
                android:id="@+id/btn_exit"
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:layout_margin="1sp"
                android:layout_weight="1.0"
                android:background="@drawable/keypad_pink"
                android:text="離開"
                android:textSize="14sp" />
        </LinearLayout>
    </RelativeLayout>

</LinearLayout>